LFR-FSW - Bug #63

TC_LFR_ENABLE_CALIBRATION et TC_LFR_DISABLE_CALIBRATION provoquent
TM_LFR_TC_EXE_NOT_EXECUTABLE en STANDBY

21/02/2014 05:31 PM - Gerald Saule

Status: Closed Start date: 21/02/2014
Priority: Normal Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro8

Description

Cette issue reprend l'issue Bug #826 (TC_LFR_ENABLE_CALIBRATION et TC_LFR_DISABLE_CALIBRATION provoquent
TM_LFR_TC_EXE_NOT_EXECUTABLE en STANDBY)

D'aprés I'exigence SSS-CP-EQS-250: on attend que les commandes de configuration (HW/SW) soient acceptées.
Celainclut TC_LFR_ENABLE_CALIBRATION et TC_LFR_DISABLE_CALIBRATION. Le comportement ci dessous n'est pas
conforme & I'exigence.

En CP_LFR_MODE=0:
(...)
19:21:07.529376, TC_LFR_ENABLE_CALIBRATION
19:21:07.626468, TM_LFR_TC_EXE_NOT_EXECUTABLE
(...)
19:21:09.629043, TC_LFR_DISABLE_CALIBRATION
19:21:09.726385, TM_LFR_TC_EXE_NOT_EXECUTABLE

(SSS-CP-EQS-522 et -523 sont requises dés V2)

Info contextuelles:

LPPMON: Version=0.2.2 - Branch=default (Changeset=835955994d5f)

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-lfr_0.0.0.15

LFR FSW: 1.0.0.1 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

TEST CASE = SVS-0007, SVS-0028
Req: SSS-CP-EQS-250

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

History

#1 - 04/03/2014 12:10 PM - paul leroy

- Status changed from New to In Progress

TC_LFR_ENABLE_CALIBRATION et TC_LFR_DISABLE_CALIBRATION sont acceptées quel que soit le mode.
Mais pour l'instant, les fonctionnalités ne sont pas implémentées.

#2 - 23/06/2014 06:45 PM - Veronique bouzid

Test SVS-0007 rejoué en 1.0.0.12

AU vu de l'avancement de la R2, les 2 cdes TC_LFR__ENABLE_CALIBRATION et TC_LFR__DISABLE_CALIBRATION ne sont pas implémentées
ici en Standby,

13:08:51.209521, TC_LFR_DISABLE_CALIBRATION

13:08:51.289207, TM_LFR_TC_EXE_NOT_IMPLEMENTED

13:08:54.419641, TC_LFR_ENABLE_CALIBRATION

13:08:54.489198, TM_LFR_TC_EXE_NOT_IMPLEMENTED

ici en NORMAL
13:09:10.297316, TC_LFR_ENTER_MODE (CP_LFR_MODE=1)
13:09:12.804151, TC_LFR_ENABLE_CALIBRATION
13:09:12.889234, TM_LFR_TC_EXE_NOT_IMPLEMENTED
13:09:13.00478, TC_LFR_DISABLE_CALIBRATION
13:09:13.089268, TM_LFR_TC_EXE_NOT_IMPLEMENTED

ici en BURST

13:09:13.406037, TC_LFR_ENTER_MODE (CP_LFR_MODE=2)
13:09:15.896065, TC_LFR_ENABLE_CALIBRATION
13:09:15.989241, TM_LFR_TC_EXE_NOT_IMPLEMENTED
13:09:16.09686, TC_LFR_DISABLE_CALIBRATION
13:09:16.18921, TM_LFR_TC_EXE_NOT_IMPLEMENTED

idem pour SBM1 et SBM2.
Il faudra donc reprendre ce point une fois implementée.

le SSS-CP-DAS-530 précise que les 2 cdes ne sont transmises a LFR que dans 3 modes SURVEY_NORMAL SBM_DETETION et SBM1_DUMP.
Gérald a mis dans la SRS, que ces cdes sont autorisées en Standby (ok avec Paul) , en NORMAL et en SBM1.

Contexte:

SocExplorerEngine.getSocExplorer: Version = 0.2.2, Branch = default, Changeset = c839740ef520
Carte EM

Vhdl: EM_1.1.23

Brique Star-Dundee S/N <illisible>.

Soft:1.0.0.12 (variante sur carte finale)

#3 - 10/02/2015 03:11 PM - paul leroy
- Status changed from In Progress to Resolved

- Assignee changed from paul leroy to bruno katra

La fonction de calibration est opérationnelle.

FSW>=2.0.2.2
VHDL >=x.1.63

#4 - 09/06/2015 01:42 PM - Veronique bouzid

- Status changed from Resolved to Closed

Ce bug est corrigé.
Le script rejoué qui le valide est /opt/VALIDATION_R2/Ifrverif/LFR_SVS/SVS-0003/loop_tm_lfr_tc_exe.py

On est en Standby
10:24:59.699895, TC_LFR_ENTER_MODE (CP_LFR_MODE=0)
10:24:59.727239, TM_LFR_TC_EXE_NOT_EXECUTABLE, TIME=0x8000001659be

10:25:04.329598, TC_LFR_ENABLE_CALIBRATION

10:25:04.332707, TM_LFR_TC_EXE_SUCCESS, TIME=0x8000001af480
et

10:25:04.729882, TC_LFR_DISABLE_CALIBRATION

10:25:04.732917, TM_LFR_TC_EXE_SUCCESS, TIME=0x8000001b5b08

Les fichiers de logs (2015_05_25-10_26_57*) sont dans /home/validation/data/R2-EQM/2.0.2.3/SVS-0003

Contexte de test

FSW 2.0.2.3

VHDL 2.1.83

EQM sans timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.0, Branch = default, Changeset = 8cf23d8c0b68
StarDundee
